#include "MyApplication.h"

using namespace Wt;

CMyApplication::CMyApplication(const Wt::WEnvironment& env)
:WApplication(env)
{
    //enable app to push updates in the clients
    enableUpdates();

    m_bStopThread = false;
    m_workerThread = boost::thread(boost::bind(&CMyApplication::WorkerThread, this));
}

CMyApplication::~CMyApplication()
{
    m_bStopThread = true;
    m_workerThread.join();
}

//grab screen thread
void CMyApplication::WorkerThread()
{
    while(true)
    {
        boost::this_thread::sleep(boost::posix_time::millisec(30));

        if(m_bStopThread)
            return;

		WApplication::UpdateLock uiLock(this);
		if (uiLock) 
		{
            this->OnEvent().emit();
			this->triggerUpdate();
		}
    }
}
