// ---------------------------------------------------------------------------------------
// File Name    : MyApplication.h
// Created      : 27.11.2013 by Bogdan Cosescu
// Description  : WT application class
// ---------------------------------------------------------------------------------------

#pragma once

#include <boost/thread.hpp>
#include <Wt/WApplication>
#include <Wt/WEnvironment>

class CMyApplication : public Wt::WApplication
{
public:

    typedef Wt::Signal<>  SIGNAL;

    CMyApplication(const Wt::WEnvironment& env);
    ~CMyApplication();

    SIGNAL&  OnEvent   () { return m_Signal; }

    void 	WorkerThread();

    //members
protected:

    SIGNAL                  m_Signal;
    boost::thread           m_workerThread;
    bool                    m_bStopThread;

};